package cn.com.qmth.examcloud.core.questions.api.request;

import cn.com.qmth.examcloud.commons.web.cloud.api.BaseRequest;

/**
 * @author 		weiwenhai
 * @date 		2018.10.11
 * @company		qmth
 * @description	试卷制定调卷规则请求对象
 */
public class GetExtractConfigReq extends BaseRequest{

	private static final long serialVersionUID = 2745038307789837441L;

	/**
	 * 用户机构id
	 */
	private String rootOrgId;
	
	/**
	 * 考试id
	 */
	private Long examId;
	
	/**
	 * 试卷id
	 */
	private String paperId;
	
	/**
	 * 考卷对象id
	 */
	private String extractConfigId;

	public String getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(String rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getPaperId() {
		return paperId;
	}

	public void setPaperId(String paperId) {
		this.paperId = paperId;
	}

	public String getExtractConfigId() {
		return extractConfigId;
	}

	public void setExtractConfigId(String extractConfigId) {
		this.extractConfigId = extractConfigId;
	}
	
}
